# 32/64bit spec-file
#
%define name draklive-install
%define version 2.6
%define release %mkrel 3
%define xsetup_level 60

Summary:	UPLOS Live installer
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.xz
Source1:	draksplash.tar.xz
License:	GPL
Group:		System/Configuration/Other
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
Requires:	drakxtools
Requires:	drakx-installer-matchbox
BuildRequires:	intltool

%description
This tool allows to install UPLOS from a LiveCD.

%prep
%setup -q

%build
%make

%install
rm -rf %buildroot

%makeinstall

install -D -m 0755 %name %buildroot/%_sbindir/%name
install -m 0755 %{name}-lock-storage %buildroot/%_sbindir/

mkdir -p %buildroot%_bindir
ln -sf consolehelper %buildroot%_bindir/%{name}-lock-storage
mkdir -p %{buildroot}%{_sysconfdir}/pam.d
ln -sf mandriva-console-auth %{buildroot}%{_sysconfdir}/pam.d/%{name}-lock-storage
mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
cat > %{buildroot}%{_sysconfdir}/security/console.apps/%{name}-lock-storage <<EOF
USER=<user>
PROGRAM=/usr/sbin/%{name}-lock-storage
FALLBACK=false
SESSION=true
EOF

mkdir -p %buildroot{%_miconsdir,%_iconsdir,%_liconsdir,%_menudir,%_datadir/libDrakX/pixmaps/,%_datadir/applications,%_datadir/icons/hicolor/{16x16,32x32,48x48}/apps}

#--------------------------------------------------------------------------
install data/icons/draklive-install-48.png %buildroot%_liconsdir/%name.png
install data/icons/draklive-install-32.png %buildroot%_iconsdir/%name.png
install data/icons/draklive-install-16.png %buildroot%_miconsdir/%name.png
#--------------------------------------------------------------------------

#---------------------------------------------------------------------------------------------
cp -l %buildroot%_liconsdir/%name.png %buildroot%_datadir/icons/hicolor/48x48/apps/%name.png
cp -l %buildroot%_liconsdir/%name.png %buildroot%_datadir/icons/hicolor/32x32/apps/%name.png
cp -l %buildroot%_liconsdir/%name.png %buildroot%_datadir/icons/hicolor/16x16/apps/%name.png
#---------------------------------------------------------------------------------------------


#--------------------------------------------------------------------------
install data/icons/uplos-*.png %buildroot%_datadir/libDrakX/pixmaps/
install draklive-install.desktop %buildroot%_datadir/applications/
tar xf %SOURCE1 --strip=1 -C %buildroot%_datadir/libDrakX/pixmaps/
#--------------------------------------------------------------------------


#--------------------------------------------------------------------------------------------------
install -D -m 0755 %{name}.xsetup %buildroot%_sysconfdir/X11/xsetup.d/%{xsetup_level}%{name}.xsetup
#--------------------------------------------------------------------------------------------------

%find_lang %name


%clean
#rm -rf %buildroot

%files -f %name.lang
%defattr(-,root,root)
%_sbindir/%name
%_sbindir/%{name}-lock-storage
%_bindir/%{name}-lock-storage
%{_sysconfdir}/pam.d/%{name}-lock-storage
%{_sysconfdir}/security/console.apps/%{name}-lock-storage
%_datadir/applications/draklive-install.desktop
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png
%_datadir/icons/hicolor/*/apps/%name.png
%_datadir/libDrakX/pixmaps/uplos-*.png
%_sysconfdir/X11/xsetup.d/??%{name}.xsetup
%dir %_sysconfdir/%{name}.d
%dir %_sysconfdir/%{name}.d/sysconfig


%changelog
* Wed Mar 09 2016 bb <bb> 2.6-3pclos2016
- update install screens

* Thu Feb 25 2016 bb <bb> 2.6-2pclos2016
- new install screens

* Sat Feb 20 2016 bb <bb> 2.6-1pclos2016
- adapt to new drakxtools gtk3

* Fri Oct 23 2015 TerryN <terryn94 at gmail.com> 1.30-7pclos2015
- fix liveUSB booting straight into installer

* Thu Mar 20 2014 pinoc  <vogtpet at gmail.com> 1.30-6pclos2014
- added option to remove unused dkms-packages
- updated progressbar routine

* Sun Mar 31 2013 pinoc <vogtpet at gmail.com> 1.30-5pclos2013
- add PCLOS410 pixmaps

* Thu Jun 23 2011 Texstar <texstar at gmail.com> 1.30-4pclos2011
- rebuild for missing locales

* Thu Jun 16 2011 Texstar <texstar at gmail.com> 1.30-3pclos2011
- add removal of kde4-logininfo durning installation

* Tue Jun 14 2011 Texstar <texstar at gmail.com> 1.30-2pclos2011
- start cups service on hard drive install so system config printer
- can find printer and properly set it up.

* Sun Jun 12 2011 Texstar <texstar at gmail.com> 1.30-1pclos2011
- add dependency drakx-installer-matchbox
- add new test graphics

